#!/bin/bash

git config --global --add safe.directory ${WORKSPACE_FOLDER}
sudo chown $(id -u):$(id -g) -fR \
    ${WORKSPACE_FOLDER} \
    ${WORKSPACE_FOLDER}/.venv \
    ${WORKSPACE_FOLDER}/node_modules \
    /commandhistory

cd ${WORKSPACE_FOLDER}

if [ ! -f .env ]; then
    DATABASE_PASSWORD=$(pwgen 16 1)
    SUPERUSER_PASSWORD=$(pwgen 8 1)
    cat << EOF > .env
DATABASE_PASSWORD=${DATABASE_PASSWORD}

SUPERUSER_EMAIL=super@example.org
SUPERUSER_PASSWORD=${SUPERUSER_PASSWORD}
EOF
fi